%global project_owner avakar
%global github_name pytoml
%global sum Parser for TOML
%global desc A parser for TOML-0.4.0

# The support for TOML 4 in python-toml is not complete. I (Julien Enselme)
# tried to improve it (I contributed for inline object # support) but the
# upstream maintainer is slow to respond and still hasn't published a
# new version with this support. Furthermore, I find the code hard to read and
# modify. From what I looked at pytoml, it is better written, has a better
# support of toml including edge cases.

# I'd recommend python-pytoml but for some usage, python-toml will do the
# trick just fine (I find it a little easier to use). That's why I'll keep
# maintaining it for the foreseeable future.

Name:           python-%{github_name}
Version:        0.1.18
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
# Take source from github since the license file is not provided in pypi release.
URL:            https://github.com/%{project_owner}/%{github_name}
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python2-%{github_name}
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{github_name}}

%description -n python2-%{github_name}
%{desc}


%prep
%setup -qn %{github_name}-%{version}


%build
%py2_build


%install
%py2_install


# We cannot run check for now: the README ask to use git submodules, but we
# can't just use git submodules because it requires network access and pull code
# that is not from the package. The good way to do this would be to package the
# go program that include the tests file. It was done for python-toml that rely
# on golang-github-BurntSushi-toml-test. The problem is pytoml cannot pass this
# suite since it is outdated. The maintainer of pytoml uses his own fork of
# golang-github-BurntSushi-toml-test which has no release. So until improvement
# on that side, it's better not to run check within %%check and trust the
# upstream maintainer won't release broken stuff.


%files -n python2-%{github_name}
%doc README.md
%license LICENSE
%{python2_sitelib}/%{github_name}-%{version}*-py%{python2_version}.egg-info/
%{python2_sitelib}/%{github_name}/


%changelog
* Tue Feb 26 2019 Martin Kutlak <mkutlak@redhat.com> - 0.1.18-2
- Build python2 package only

* Wed Aug 01 2018 Julien Enselme <jujens@jujens.eu> - 0.1.18-1
- Update to 0.1.18
